Search found 45 matches

by palacs
Tue Apr 16, 2019 3:05 pm
Forum: C++ Development
Topic: Append HTML to wxHtmlWindow without reloading
Replies: 6
Views: 244

Re: Append HTML to wxHtmlWindow without reloading

Couldn't wxHtmlWindow source code be modified to re-parse and re-draw only the appended part?
by palacs
Mon Apr 15, 2019 6:28 pm
Forum: C++ Development
Topic: Append HTML to wxHtmlWindow without reloading
Replies: 6
Views: 244

Re: Append HTML to wxHtmlWindow without reloading

Thanks. I know the difference between the two. However, I would insist using wxHtmlWindow because it's much more resource-efficient when compiled with wxGTK. WebKit is slow, increases loading time and eats up a lot of memory. Basically I need text with basic formatting. Not CSS and JavaScript capabi...
by palacs
Mon Apr 15, 2019 5:17 pm
Forum: C++ Development
Topic: Append HTML to wxHtmlWindow without reloading
Replies: 6
Views: 244

Append HTML to wxHtmlWindow without reloading

I would like to implement a log viewer that can display formatted HTML text then append small portions of HTML to the existing (usually very long) document. wxHtmlWindow seems to be good for the purpose. As far as I know this is possible with AppendToPage but I find it really annoying and problemati...
by palacs
Wed Apr 05, 2017 8:29 am
Forum: General Development
Topic: Developing fast, lightweight apps for all popular and even legacy platforms
Replies: 37
Views: 4997

Re: Developing fast, lightweight apps for all popular and even legacy platforms

For those that need you to specify -std=gnu++11 at MinGW. If you don't specify this, wxW 3.0.2 won't compile.
by palacs
Sun Apr 02, 2017 5:53 am
Forum: General Development
Topic: Developing fast, lightweight apps for all popular and even legacy platforms
Replies: 37
Views: 4997

Re: Developing fast, lightweight apps for all popular and even legacy platforms

What about the C++11 parts? Although I was able to compile wx 3.0.2 with MSVC 2005, I'm not sure an older compiler like MSVC 2003 would compile these parts, even if I fix the defines problem. The problem with MSVC 2005 is that it won't generate code compatible with Windows 95. This is why I should g...
by palacs
Wed Mar 29, 2017 2:28 pm
Forum: General Development
Topic: Developing fast, lightweight apps for all popular and even legacy platforms
Replies: 37
Views: 4997

Re: Developing fast, lightweight apps for all popular and even legacy platforms

If the 2.8 compatibility in 3.0.2 is only partial then why is it there anyways?

Wouldn't it be the goal to allow wx 2.8 applications to use 3.0 as a library where 2.8 is not available anymore?
by palacs
Wed Mar 29, 2017 9:21 am
Forum: General Development
Topic: Developing fast, lightweight apps for all popular and even legacy platforms
Replies: 37
Views: 4997

Re: Developing fast, lightweight apps for all popular and even legacy platforms

Today I was thinking about an idea. Let's say, I would like to develop an application that is functional on Windows 95 and on Windows 10 64-bit as well. Then I would like it to be functional on not just Windows, but on the latest Ubuntu Linux and Linux Mint, also FreeBSD. Someday I would also like t...
by palacs
Wed Mar 29, 2017 9:08 am
Forum: Platform Related Issues
Topic: Minimum GTK2 version
Replies: 17
Views: 1991

Re: Minimum GTK2 version

I explained it further here.
by palacs
Fri Mar 10, 2017 7:36 pm
Forum: Platform Related Issues
Topic: Minimum GTK2 version
Replies: 17
Views: 1991

Re: Minimum GTK2 version

Using MSVC 2005, a few months ago I was able to compile wxWidgets 3.0.3 (git) for Windows 98. But not for Windows 95. The problem is that MSVC 2005 generates code incompatible with Windows 95. Another problem is that MSVC .NET 2003 would generate code fully compatible with Windows 95, but it won't c...
by palacs
Fri Mar 10, 2017 12:24 pm
Forum: Platform Related Issues
Topic: Minimum GTK2 version
Replies: 17
Views: 1991

Re: Minimum GTK2 version

Fine, I get your point, but it's hard to believe that 3.0 has more new features and less bugs. However, I'm not deep into wxWidgets, so the best option for me is to believe it. 8) I have recently seen the GitHub branch of 2.8. It has fixes from 2015 and 2014 while 2.8.12 was released in 2011. You me...
by palacs
Fri Mar 10, 2017 11:39 am
Forum: Platform Related Issues
Topic: Minimum GTK2 version
Replies: 17
Views: 1991

Re: Minimum GTK2 version

I don't really need the benefits of 3.0. 2.8 is mature enough for my needs. I need stability on legacy platforms. Which one would you choose? You probably know the two branches better. My motto is like the less features, the less bugs so I suppose that there are more fixes and less bugs in 2.8 which...
by palacs
Fri Mar 10, 2017 11:23 am
Forum: Platform Related Issues
Topic: Minimum GTK2 version
Replies: 17
Views: 1991

Re: Minimum GTK2 version

I have never been able to compile wxWidgets 3.0.X to Windows 95, but had success with 2.8.X, including all samples. They all seem really stable. wxWidgets 2.8 supports Windows 95 while 3.0 doesn't.
by palacs
Fri Mar 10, 2017 10:30 am
Forum: Platform Related Issues
Topic: Minimum GTK2 version
Replies: 17
Views: 1991

Re: Minimum GTK2 version

I'm writing applications specifically for old computers (Pentium II/III). They can't run newer distros with reliable speed. Well, GTK1 would be a choice, but it seems quite unstable, a lot of samples do not work. I had success with Debian Sarge though. It has a newer GTK2. Thanks for the info. It wo...
by palacs
Fri Mar 10, 2017 9:57 am
Forum: Platform Related Issues
Topic: Minimum GTK2 version
Replies: 17
Views: 1991

Minimum GTK2 version

I tried to compile wxWidgets 2.8.12 on Debian Woody, using wxGTK with GTK2 version 2.0.2 -5woody2. /home/pal/wxWidgets-2.8.12/bk-deps g++-3.0 -c -o corelib_gtk_cursor.o -D__WXGTK__ -DWXBUILDING -I./src/regex -I./src/expat/lib -DwxUSE_BASE=0 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1...